
  <!DOCTYPE html>
  <html>
    <head>
      <title>rows.ts</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/pages/model-configuring/__mocks__/rows.ts</td><td class="">100.00%</td><td class="">80%</td><td class="">28</td><td class="">28</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">/* eslint-disable */
const raw =
  `BatchID\tTime [Days] \tVCC [e6/ml]\tViability [%]\tProduct [g/L]\tGlucose [g/L]\tLactate [g/L]\tIVCC [105cells*d/mL]\tqP [pg/cell/d]
C1\t0\t0,326692\t0,9781\t\t3,264\t0,989\t\t
C1\t3\t2,75587\t0,9345\t\t3,264\t0,989\t2323,022921\t
C1\t4\t4,513919\t0,959\t\t4,974\t0,979\t3987,455812\t
C1\t5\t7,149365\t0,9384\t\t5,232\t0,717\t6487,703432\t
C1\t6\t12,289689\t0,9428\t\t4,929\t0,746\t11322,69219\t
C1\t7\t12,53551\t0,914\t2,4759\t3,007\t0,54\t11550,9124\t2,143467038
C1\t8\t14,622773\t0,9284\t3,2292\t1,452\t0,372\t13473,69908\t2,39666923
C1\t9\t15,54185\t0,8832\t3,8168\t3,144\t0,315\t14306,19903\t2,667934364
C1\t10\t16,407768\t0,8695\t4,234\t0,799\t0,315\t15065,04626\t2,810479255
C1\t11\t14,194846\t0,8193\t5,1788\t4,452\t0,391\t13196,45493\t3,924387291
C1\t12\t11,763395\t0,7746\t5,8149\t2,4\t0,317\t11258,71005\t5,164801272
C1\t13\t12,357668\t0,8165\t5,95\t2,036\t0,318\t11731,48394\t5,071822142
C1\t14\t10,280539\t0,7594\t6,8085\t5,071\t0,893\t10094,81014\t6,74455478
C2\t0\t0,427588\t0,9718\t\t6,04\t0,56\t\t
C2\t3\t2,386021\t0,968\t\t\t\t42,204135\t
C2\t4\t3,68\t0,953\t\t\t\t72,53424\t
C2\t5\t7,276768\t0,9591\t\t6,04\t0,56\t127,31808\t
C2\t6\t9,899141\t0,9415\t\t4,85\t0,35\t213,197625\t
C2\t7\t8,72\t0,925\t1,16\t4,43\t0,38\t306,29333\t37,87219265
C2\t8\t8,39294\t0,8426\t1,84\t3,12\t0,27\t391,85803\t46,95578141
C2\t9\t8,731534\t0,8806\t2,6\t2,46\t0,34\t477,4804\t54,4524969
C2\t10\t8,596259\t0,8709\t3,15\t4,17\t0,24\t564,119365\t55,83924601
C2\t11\t6,565417\t0,8423\t3,65\t3,67\t0,26\t639,927745\t57,03768947
C2\t12\t6,41908\t0,838\t4,25\t3,33\t0,23\t704,85023\t60,29649731
C2\t13\t5,539459\t0,8049\t4,52\t3,17\t0,28\t764,642925\t59,11255898
C2\t14\t\t0,7917\t4,94\t2,93\t0,57\t\t
C3\t0\t0,318127\t0,9699\t\t5,014\t1,031\t\t
C3\t3\t2,498745\t0,9362\t\t\t\t42,25308\t
C3\t4\t4,54184\t0,9484\t\t\t\t77,456005\t
C3\t5\t7,77\t0,958\t\t5,014\t1,031\t139,015205\t
C3\t6\t11,72587\t0,9468\t\t4,044\t0,764\t236,494555\t
C3\t7\t12,335426\t0,9266\t0,8714\t2,432\t0,626\t356,801035\t24,4225749
C3\t8\t15,828809\t0,9243\t1,32\t2,514\t0,309\t497,62221\t26,52614722
C3\t9\t14,960917\t0,8787\t1,98\t1,867\t0,207\t651,57084\t30,38810024
C3\t10\t14,730356\t0,8252\t2,46\t2,182\t0,207\t800,027205\t30,74895434
C3\t11\t13,873166\t0,7622\t2,84\t2,705\t0,193\t943,044815\t30,1152178
C3\t12\t13,170342\t0,6879\t3,22\t3,069\t0,218\t1078,262355\t29,86286209
C4\t0\t0,3\t0,966666641\t\t2,406\t0,643\t\t
C4\t3\t5,093220575\t0,914285736\t\t\t\t80,89830862\t
C4\t4\t\t\t\t\t\t131,8305144\t
C4\t5\t17,73759924\t0,97726532\t\t2,406\t0,643\t309,2065067\t
C4\t6\t\t\t\t4,021\t0,32\t486,5824991\t
C4\t7\t26,18487058\t0,931236877\t0,8811\t1,652\t0,69\t748,431205\t11,77262511
C4\t8\t\t\t1,34\t4,133\t0,192\t1010,279911\t13,26365085
C4\t9\t19,80667959\t0,878201752\t1,95\t3,704\t0,226\t1208,346707\t16,13775243
C4\t10\t18,89887892\t0,844128494\t2,56\t1,998\t0,341\t1401,874499\t18,26126377
C4\t11\t14,6546105\t0,807667313\t3,36\t1,659\t0,336\t1569,641946\t21,40615577
C4\t12\t12,55605684\t0,705298004\t4,15\t2,49\t0,38\t1705,695283\t24,3302543
C4\t13\t10,37497507\t0,661156998\t4,82\t2,287\t0,441\t1820,350443\t26,47841804
C5\t0\t0,280141\t0,8673\t\t2,628\t1,187\t\t
C5\t3\t1,706579\t0,8838\t\t\t\t29,8008\t
C5\t4\t2,844386\t0,9114\t\t2,628\t1,187\t52,555625\t
C5\t5\t4,33\t0,882\t\t4,01\t1,19\t88,427555\t
C5\t6\t7,175733\t0,9197\t\t5,042\t1,119\t145,95622\t
C5\t7\t8,621276\t0,892\t0,4152\t4,961\t1,063\t224,941265\t18,45815173
C5\t8\t9,93687\t0,8631\t0,5682\t4,236\t1,138\t317,731995\t17,88299601
C5\t9\t10,95948\t0,84\t0,8228\t2,938\t0,904\t422,213745\t19,48775969
C5\t10\t10,395603\t0,7849\t0,962\t3,591\t0,907\t528,98916\t18,18562785
C5\t11\t10,593792\t0,7078\t1,2549\t3,385\t0,93\t633,936135\t19,79536945
C5\t12\t8,193268\t0,5656\t1,6507\t3,487\t1,094\t727,871435\t22,67845557
C6\t0\t0,390819\t0,980879517\t\t2,987\t1,046\t\t
C6\t3\t4,575234\t0,9608\t\t2,987\t1,046\t74,490795\t
C6\t4\t7,903368\t0,9651\t\t4,263\t0,692\t136,883805\t
C6\t5\t14,587014\t0,9547\t\t3,615\t0,282\t249,335715\t
C6\t6\t23,589472\t0,9598\t\t1,511\t0,29\t440,218145\t
C6\t7\t25,75855\t0,9591\t0,7436\t1,81\t0,561\t686,958255\t10,82452965
C6\t8\t25,539345\t0,9356\t1,06\t1,521\t0,894\t943,44773\t11,23538662
C6\t9\t23,012219\t0,9332\t1,47\t2,186\t0,732\t1186,20555\t12,39245593
C6\t10\t21,354115\t0,9328\t1,99\t1,919\t0,547\t1408,03722\t14,13314912
C6\t11\t15,554077\t0,8768\t2,11\t2,633\t0,133\t1592,57818\t13,24895711
C6\t12\t12,10519\t0,802\t2,69\t4,507\t0,158\t1730,874515\t15,54127683
C6\t13\t9,907955\t0,7036\t2,94\t4,333\t0,165\t1840,94024\t15,97010015
C6\t14\t6,07435\t0,6158\t3,08\t4,462\t0,168\t1920,851765\t16,0345533
C7\t0\t0,317334\t0,983638077\t\t2,267\t0,882\t\t
C7\t3\t5,958847\t0,9619\t\t2,267\t0,882\t94,142715\t
C7\t4\t10,24301\t0,9653\t\t2,747\t0,628\t175,152\t
C7\t5\t18,059026\t0,9603\t\t0,968\t0,231\t316,66218\t
C7\t6\t24,264706\t0,9653\t\t1,267\t0,716\t528,28084\t
C7\t7\t22,573631\t0,9514\t0,7639\t2,067\t0,627\t762,472525\t10,01872166
C7\t8\t22,079106\t0,9362\t1,03\t2,279\t0,456\t985,73621\t10,44904295
C7\t9\t21,232898\t0,9429\t1,45\t2,558\t0,273\t1202,29623\t12,06025573
C7\t10\t16,158168\t0,9125\t1,6\t2,866\t0,198\t1389,25156\t11,51699265
C7\t11\t13,928502\t0,8836\t1,9\t2,175\t0,249\t1539,68491\t12,34018719
C7\t12\t9,248783\t0,7775\t2,3\t5,259\t0,169\t1655,571335\t13,89248504
C7\t13\t4,811112\t0,6266\t2,33\t5,419\t0,184\t1725,87081\t13,50043112
C8\t0\t0,359611\t0,973187103\t\t2,434\t1,185\t\t
C8\t3\t3,680277\t0,9463\t\t2,434\t1,185\t60,59832\t
C8\t4\t6,602056\t0,9442\t\t3,973\t1,257\t112,009985\t
C8\t5\t10,841849\t0,9436\t\t3,956\t0,999\t199,22951\t
C8\t6\t13,659616\t0,9464\t\t2,82\t0,837\t321,736835\t
C8\t7\t14,719076\t0,9091\t0,9032\t2,799\t0,753\t463,630295\t19,48103931
C8\t8\t14,488855\t0,9166\t1,64\t2,39\t0,552\t609,66995\t26,89980046
C8\t9\t12,862876\t0,9071\t2,41\t2,498\t0,414\t746,428605\t32,28707989
C8\t10\t8,919133\t0,804\t2,86\t3,736\t0,241\t855,33865\t33,43704859
C8\t11\t7,886534\t0,7655\t3,28\t3,371\t0,142\t939,366985\t34,91713092
C8\t12\t7,117631\t0,7389\t3,82\t4,887\t0,175\t1014,38781\t37,65818124
C8\t13\t6,448101\t0,743\t3,93\t4,784\t0,192\t1082,21647\t36,3143614
C8\t14\t5,777661\t0,6939\t4,25\t4,376\t0,252\t1143,34528\t37,17162326
C9\t0\t0,458759\t0,972148514\t\t2,807\t1,214\t\t
C9\t3\t3,322765\t0,9453\t\t2,807\t1,214\t56,72286\t
C9\t4\t5,997484\t0,9496\t\t4,222\t1,014\t103,324105\t
C9\t5\t8,600832\t0,9332\t\t4,349\t0,638\t176,315685\t
C9\t6\t12,912307\t0,934\t\t2,767\t0,438\t283,88138\t
C9\t7\t12,346902\t0,8999\t1,49\t2,772\t0,261\t410,177425\t36,32574367
C9\t8\t13,236363\t0,9305\t2,46\t2,395\t0,193\t538,09375\t45,71694059
C9\t9\t10,99576\t0,8961\t3,39\t2,43\t0,123\t659,254365\t51,42173006
C9\t10\t10,292193\t0,9259\t4,86\t2,067\t0,1\t765,69413\t63,47182001
C9\t11\t9,611547\t0,8947\t5,75\t3,162\t0,168\t865,21283\t66,45763679
C9\t12\t7,755101\t0,8385\t6,54\t2,248\t0,124\t952,04607\t68,69415469
C9\t13\t6,458774\t0,7666\t7,52\t3,631\t0,153\t1023,115445\t73,50099187
C9\t14\t5,349537\t0,6802\t7,65\t2,775\t0,136\t1082,157\t70,69214541
`.replace(/\,/gi, &#x27;.&#x27;);
const [columnsNames, ...rows] = raw.split(&#x27;\n&#x27;).map((row) =&gt; row.split(&#x27;\t&#x27;));

export const data = rows.map((row) =&gt;
  row.reduce((acc, row, rowIdx) =&gt; {
    return {
      ...acc,
      [columnsNames[rowIdx]]:
        Boolean(row) &amp;&amp; rowIdx !== 0 ? parseFloat(row) : row
    };
  }, {})
);
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  